<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Neeon_Core;

use \FW_Ext_Backups_Demo;
use \WPCF7_ContactFormTemplate;

if ( ! defined( 'ABSPATH' ) ) exit;

class Demo_Importer {

	public function __construct() {
		add_filter( 'plugin_action_links_rt-demo-importer/rt-demo-importer.php', array( $this, 'add_action_links' ) ); // Link from plugins page 
		add_filter( 'rt_demo_installer_warning', array( $this, 'data_loss_warning' ) );
		add_filter( 'fw:ext:backups-demo:demos', array( $this, 'demo_config' ) );
		add_action( 'fw:ext:backups:tasks:success:id:demo-content-install', array( $this, 'after_demo_install' ) );
	}

	public function add_action_links( $links ) {
		$mylinks = array(
			'<a href="' . esc_url( admin_url( 'tools.php?page=fw-backups-demo-content' ) ) . '">'.__( 'Install Demo Contents', 'neeon-core' ).'</a>',
		);
		return array_merge( $links, $mylinks );
	}

	public function data_loss_warning( $links ) {
		$html  = '<div style="margin-top:20px;color:#f00;font-size:20px;line-height:1.3;font-weight:600;margin-bottom:40px;border-color: #f00;border-style: dashed;border-width: 1px 0;padding:10px 0;">';
		$html .= __( 'Warning: All your old data will be lost if you install One Click demo data from here, so it is suitable only for a new website.', 'neeon-core');
		$html .= '</div>';
		return $html;
	}

	public function demo_config( $demos ) {
		$demos_array = array(
			'demo1' => array(
				'title' => __( 'Home 1', 'neeon-core' ),
				'screenshot' => plugins_url( 'screenshots/screenshot1.jpg', __FILE__ ),
				'preview_link' => 'https://radiustheme.com/demo/wordpress/themes/neeon/',
			),
			'demo2' => array(
				'title' => __( 'Home 2', 'neeon-core' ),
				'screenshot' => plugins_url( 'screenshots/screenshot2.jpg', __FILE__ ),
				'preview_link' => 'https://radiustheme.com/demo/wordpress/themes/neeon/home-02/',
			),
			'demo3' => array(
				'title' => __( 'Home 3', 'neeon-core' ),
				'screenshot' => plugins_url( 'screenshots/screenshot3.jpg', __FILE__ ),
				'preview_link' => 'https://radiustheme.com/demo/wordpress/themes/neeon/home-03/',
			),
			'demo4' => array(
				'title' => __( 'Home 4', 'neeon-core' ),
				'screenshot' => plugins_url( 'screenshots/screenshot4.jpg', __FILE__ ),
				'preview_link' => 'https://radiustheme.com/demo/wordpress/themes/neeon/home-04/',
			),
			'demo5' => array(
				'title' => __( 'Home 5', 'neeon-core' ),
				'screenshot' => plugins_url( 'screenshots/screenshot5.jpg', __FILE__ ),
				'preview_link' => 'https://radiustheme.com/demo/wordpress/themes/neeon/home-05/',
			),		
			'demo6' => array(
				'title' => __( 'Home 6', 'neeon-core' ),
				'screenshot' => plugins_url( 'screenshots/screenshot6.jpg', __FILE__ ),
				'preview_link' => 'https://radiustheme.com/demo/wordpress/themes/neeon/home-06/',
			),
			'demo7' => array(
				'title' => __( 'Home 7', 'neeon-core' ),
				'screenshot' => plugins_url( 'screenshots/screenshot7.jpg', __FILE__ ),
				'preview_link' => 'https://radiustheme.com/demo/wordpress/themes/neeon/home-07/',
			),
			'demo8' => array(
				'title' => __( 'Home 8', 'neeon-core' ),
				'screenshot' => plugins_url( 'screenshots/screenshot8.jpg', __FILE__ ),
				'preview_link' => 'https://radiustheme.com/demo/wordpress/themes/neeon/home-08/',
			),
			'demo9' => array(
				'title' => __( 'Home 9', 'neeon-core' ),
				'screenshot' => plugins_url( 'screenshots/screenshot9.jpg', __FILE__ ),
				'preview_link' => 'https://radiustheme.com/demo/wordpress/themes/neeon/home-09/',
			),
			'demo10' => array(
				'title' => __( 'Home 10', 'neeon-core' ),
				'screenshot' => plugins_url( 'screenshots/screenshot10.jpg', __FILE__ ),
				'preview_link' => 'https://radiustheme.com/demo/wordpress/themes/neeon/home-10/',
			),
			'demo11' => array(
				'title' => __( 'Home 11', 'neeon-core' ),
				'screenshot' => plugins_url( 'screenshots/screenshot11.jpg', __FILE__ ),
				'preview_link' => 'https://radiustheme.com/demo/wordpress/themes/neeon/home-11/',
			),
			'demo12' => array(
				'title' => __( 'Home 12', 'neeon-core' ),
				'screenshot' => plugins_url( 'screenshots/screenshot12.jpg', __FILE__ ),
				'preview_link' => 'https://radiustheme.com/demo/wordpress/themes/neeon/home-12/',
			),
			'demo13' => array(
				'title' => __( 'Home 13', 'neeon-core' ),
				'screenshot' => plugins_url( 'screenshots/screenshot13.jpg', __FILE__ ),
				'preview_link' => 'https://radiustheme.com/demo/wordpress/themes/neeon/home-13/',
			),
			'demo14' => array(
				'title' => __( 'Home 14', 'neeon-core' ),
				'screenshot' => plugins_url( 'screenshots/screenshot14.jpg', __FILE__ ),
				'preview_link' => 'https://radiustheme.com/demo/wordpress/themes/neeon/home-14/',
			),
			'demo15' => array(
				'title' => __( 'Home 15', 'neeon-core' ),
				'screenshot' => plugins_url( 'screenshots/screenshot15.jpg', __FILE__ ),
				'preview_link' => 'https://radiustheme.com/demo/wordpress/themes/neeon/home-15/',
			),
			'demo16' => array(
				'title' => __( 'Home 16', 'neeon-core' ),
				'screenshot' => plugins_url( 'screenshots/screenshot16.jpg', __FILE__ ),
				'preview_link' => 'https://radiustheme.com/demo/wordpress/themes/neeon/home-16/',
			),
		);

		$download_url = 'http://demo.radiustheme.com/wordpress/demo-content/neeon/';

		foreach ($demos_array as $id => $data) {
			$demo = new FW_Ext_Backups_Demo($id, 'piecemeal', array(
				'url' => $download_url,
				'file_id' => $id,
			));
			$demo->set_title($data['title']);
			$demo->set_screenshot($data['screenshot']);
			$demo->set_preview_link($data['preview_link']);

			$demos[ $demo->get_id() ] = $demo;

			unset($demo);
		}

		return $demos;
	}

	public function after_demo_install( $collection ){
		// Update front page id
		$demos = array(
			'demo1'  => 1802,
			'demo2'  => 1804,
			'demo3'  => 1805,
			'demo4'  => 1806,
			'demo5'  => 1807,
			'demo6'  => 1808,
			'demo7'  => 6788,
			'demo8'  => 6790,
			'demo9'  => 7191,
			'demo10'  => 7513,
			'demo11'  => 7515,
			'demo12'  => 7776,
			'demo13'  => 7902,
			'demo14'  => 8034,
			'demo15'  => 8159,
			'demo16'  => 8325,
		);

		$data = $collection->to_array();

		foreach( $data['tasks'] as $task ) {
			if( $task['id'] == 'demo:demo-download' ){
				$demo_id = $task['args']['demo_id'];
				$page_id = $demos[$demo_id];
				update_option( 'page_on_front', $page_id );
				flush_rewrite_rules();
				break;
			}
		}

		// Update contact form 7 email
		$cf7ids = array( 95, 1788, 2141 );
		foreach ( $cf7ids as $cf7id ) {
			$mail = get_post_meta( $cf7id, '_mail', true );
			$mail['recipient'] = get_option( 'admin_email' );

			if ( class_exists( 'WPCF7_ContactFormTemplate' ) ) {
				$pattern = "/<[^@\s]*@[^@\s]*\.[^@\s]*>/"; // <email@email.com>
				$replacement = '<'. WPCF7_ContactFormTemplate::from_email().'>';
				$mail['sender'] = preg_replace($pattern, $replacement, $mail['sender']);
			}
			
			update_post_meta( $cf7id, '_mail', $mail );		
		}

		// Update WooCommerce emails
		$admin_email = get_option( 'admin_email' );
	}
}

new Demo_Importer;