<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Neeon_Core;

use NeeonTheme;
use NeeonTheme_Helper;
use \WP_Query;

$neeon_has_entry_meta  = ( $data['post_author'] == 'yes' || $data['post_date'] == 'yes' || $data['post_comment'] == 'yes' || $data['post_length'] == 'yes' && function_exists( 'neeon_reading_time' ) || $data['post_view'] == 'yes' && function_exists( 'neeon_views' ) ) ? true : false;

if( $data['image_size'] == 'size_one') {
	$thumb_size = 'neeon-size11';
}else {
	$thumb_size = 'neeon-size2';
}

$p_ids = array();
foreach ( $data['posts_not_in'] as $p_idsn ) {
	$p_ids[] = $p_idsn['post_not_in'];
}
$args = array(
	'posts_per_page' 	=> $data['itemlimit']['size'],
	'order' 			=> $data['post_ordering'],
	'orderby' 			=> $data['post_orderby'],
	'offset' 	 	 	=> $data['number_of_post_offset'],
	'post__not_in'   	=> $p_ids,
	'post_type'			=> 'post',
	'post_status'		=> 'publish',
);

if(!empty($data['catid'])){
	if( $data['query_type'] == 'category'){
	    $args['tax_query'] = [
	        [
	            'taxonomy' => 'category',
	            'field' => 'term_id',
	            'terms' => $data['catid'],                    
	        ],
	    ];

	}
}
if(!empty($data['postid'])){
	if( $data['query_type'] == 'posts'){
	    $args['post__in'] = $data['postid'];
	}
}

$query = new WP_Query( $args );
$temp = NeeonTheme_Helper::wp_set_temp_query( $query );

?>
<div class="rt-post-list-default rt-post-list-<?php echo esc_attr( $data['style'] );?>">
	<div class="list-five-loadmore-items">
		<?php $i = $data['delay']; $j = $data['duration']; 
		if ( $query->have_posts() ) :?>
		<?php while ( $query->have_posts() ) : $query->the_post();?>
			<?php

			$content = NeeonTheme_Helper::get_current_post_content();
			$content = wp_trim_words( get_the_excerpt(), $data['count'], '.' );
			$content = "<p>$content</p>";
			$title = wp_trim_words( get_the_title(), $data['title_count'], '' );
			
			$neeon_comments_number = number_format_i18n( get_comments_number() );
			$neeon_comments_html = $neeon_comments_number == 1 ? esc_html__( 'Comment' , 'neeon-core' ) : esc_html__( 'Comments' , 'neeon-core' );
			$neeon_comments_html = '<span class="comment-number">'. $neeon_comments_number . '</span> ' . $neeon_comments_html;
		
			$neeon_time_html = sprintf( '<span><span>%s </span>%s %s</span>', get_the_time( 'd' ), get_the_time( 'M' ), get_the_time( 'Y' ) );

			$id = get_the_ID();
			$youtube_link = get_post_meta( get_the_ID(), 'neeon_youtube_link', true );

			?>

			<div class="<?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $i );?>s" data-wow-duration="<?php echo esc_attr( $j );?>s">
				<div class="rt-item <?php echo esc_attr( $data['list_border'] );?>">
					<div class="rt-image">
						<?php if ( ( $data['post_video'] == 'yes' && 'video' == get_post_format( $id ) && !empty( $youtube_link ) ) ) { ?>
							<div class="rt-video"><a class="rt-play play-btn-white-lg rt-video-popup" href="<?php echo esc_url( $youtube_link );?>"><i class="fas fa-play"></i></a></div>
						<?php } ?>
						<a href="<?php the_permalink(); ?>">
							<?php
								if ( has_post_thumbnail() ){
									the_post_thumbnail( $thumb_size );
								}
								else {
									if ( !empty( NeeonTheme::$options['no_preview_image']['id'] ) ) {
										echo wp_get_attachment_image( NeeonTheme::$options['no_preview_image']['id'], $thumb_size );
									}
									else {
										echo '<img class="wp-post-image" src="' . NeeonTheme_Helper::get_img( 'noimage_752X878.jpg' ) . '" alt="'.get_the_title().'">';
									}
								}
							?>
						</a>										
					</div>
					<div class="entry-content">
						<?php if ( $data['post_category'] == 'yes' ) { ?>
							<?php if ( $data['cat_layout'] == 'cat_layout1' ) { ?>
							<div class="post-terms"><?php echo neeon_category_prepare(); ?></div>
							<?php } elseif ( $data['cat_layout'] == 'cat_layout2' ) { ?>
							<div class="post-terms rt-cat"><?php echo the_category( ', ' );?></div>
							<?php } ?>
						<?php } ?>	
						<h3 class="entry-title title-animation-black-bold"><a href="<?php the_permalink();?>"><?php echo esc_html( $title );?></a></h3>
						<?php if ( $data['content_display'] == 'yes' ) { ?>
							<div class="post_excerpt"><?php echo wp_kses_post( $content );?></div>
						<?php } ?>
						<?php if ( $neeon_has_entry_meta ) { ?>
						<ul class="entry-meta">
							<?php if ( $data['post_author'] == 'yes' ) { ?>
							<li class="post-author"><?php esc_html_e( 'by ', 'neeon' );?><?php the_author_posts_link(); ?></li>
							<?php } if ( $data['post_date'] == 'yes' ) { ?>	
							<li class="post-date"><i class="far fa-calendar-alt"></i><?php echo get_the_date(); ?></li>				
							<?php } if ( $data['post_comment'] == 'yes' ) { ?>
							<li class="post-comment"><i class="far fa-comments"></i><a href="<?php echo get_comments_link( get_the_ID() ); ?>"><?php echo wp_kses( $neeon_comments_html , 'alltext_allow' );?></a></li>
							<?php } if ( ( $data['post_length'] == 'yes' ) && function_exists( 'neeon_reading_time' ) ) { ?>
							<li class="post-reading-time meta-item"><i class="far fa-clock"></i><?php echo neeon_reading_time(); ?></li>
							<?php } if ( ( $data['post_view'] == 'yes' ) && function_exists( 'neeon_views' ) ) { ?>
							<li><span class="post-views meta-item"><i class="fas fa-signal"></i><?php echo neeon_views(); ?></span></li>
							<?php } ?>
						</ul>
						<?php } ?>
						<?php if ( $data['post_read'] == 'yes' ) { ?>
						<div class="post-read-more"><a class="button-style-1 btn-common rt-animation-out" href="<?php the_permalink();?>"><?php echo wp_kses_post( $data['read_more_text'] ); ?>
							<svg
				                xmlns="http://www.w3.org/2000/svg"
				                xmlns:xlink="http://www.w3.org/1999/xlink"
				                width="34px"
				                height="16px"
				                viewBox="0 0 34.53 16"
				                xml:space="preserve"
				              >
				                <rect
				                  class="rt-button-line"
				                  y="7.6"
				                  width="34"
				                  height=".4"
				                ></rect>
				                <g class="rt-button-cap-fake">
				                  <path
				                    class="rt-button-cap"
				                    d="M25.83.7l.7-.7,8,8-.7.71Zm0,14.6,8-8,.71.71-8,8Z"
				                  ></path>
				                </g>
				            </svg></a>
				        </div>
				    	<?php } ?>
					</div>
				</div>
			</div>
		<?php $i = $i + 0.2; $j = $j + 0.1; endwhile;?>
	<?php endif;?>
	</div>
	<div class="text-center list-loadmore">
		<?php 
		$args['posts_not_in'] = $data['posts_not_in'];
		$args['itemlimit'] = $data['itemlimit']['size'];
		$args['post_ordering'] = $data['post_ordering'];
		$args['post_orderby'] = $data['post_orderby'];
		$args['post_category'] = $data['post_category'];
		$args['catid'] = $data['catid'];
		$args['postid'] = $data['postid'];
		$args['query_type'] = $data['query_type'];
		$args['number_of_post_offset'] = $data['number_of_post_offset'];
		$args['post_author'] = $data['post_author'];
		$args['post_date'] = $data['post_date'];
		$args['post_comment'] = $data['post_comment'];
		$args['post_length'] = $data['post_length'];
		$args['post_view'] = $data['post_view'];
		$args['cat_layout'] = $data['cat_layout'];
		$args['title_count'] = $data['title_count'];
		$args['count'] = $data['count'];
		$args['post_read'] = $data['post_read'];
		$args['content_display'] = 'yes';
		$args['animation'] = $data['animation'];
		$args['animation_effect'] = $data['animation_effect'];
		$args['delay'] = $data['delay'];
		$args['duration'] = $data['duration'];
		$args['list_border'] = $data['list_border'];
		$args['post_video'] = $data['post_video'];
		$args['image_size'] = $data['image_size'];
		$args['read_more_text'] = $data['read_more_text'];

		$encoded_data = wp_json_encode( $args ); ?>
		<?php if ( $data['loadmore_display'] == 'yes' ) { ?>
	      	<a href="#" id="listfiveloadMore" class="loadlistMore button-style-2" data-loadmore='<?php echo esc_attr( $encoded_data ) ;?>'><?php esc_html_e( 'Load More', 'neeon' ) ?><i class="fas fa-redo-alt"></i></a>
	      <?php } ?>
    </div> 
	<?php NeeonTheme_Helper::wp_reset_temp_query( $temp );?>
</div>